package com.wechat.dao;

import java.util.List;

import com.wechat.global.base.annotation.MyBatisDao;
import com.wechat.global.base.dao.CrudDao;
import com.wechat.model.dbEntity.MdeSubscribedPrepareType;

@MyBatisDao
public interface MdeSubscribedPrepareTypeMapper extends CrudDao<MdeSubscribedPrepareType>{
	int deleteByUserCode(String userCode);

    int insert(MdeSubscribedPrepareType record);
	

    int insertSelective(MdeSubscribedPrepareType record);

    /**
     * @param userCode
          * 根据用户code获取意向筹开酒店类型
     */
    List<String> getSubscribedPrepareType(String userCode);

    int updateByPrimaryKeySelective(MdeSubscribedPrepareType record);

    int updateByPrimaryKey(MdeSubscribedPrepareType record);
}